Bug 23307 - Add columns configuration to cataloguing/z3950_search.tt
Summary: Add columns configuration to cataloguing/z3950_search.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23304
Blocks: 23441
  Show dependency treegraph
 
Reported: 2019-07-12 14:16 UTC by Owen Leonard
Modified: 2019-08-10 11:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt (4.80 KB, patch)
2019-07-12 14:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt (6.44 KB, patch)
2019-07-15 14:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt (6.49 KB, patch)
2019-07-30 14:25 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt (6.54 KB, patch)
2019-08-08 14:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-12 14:16:38 UTC
I would like to add columns configuration to the DataTable which shows Z39.50 search results in the cataloging module.
Comment 1 Owen Leonard 2019-07-12 14:33:46 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-07-15 14:58:19 UTC
Created attachment 91535 [details] [review]
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt

This patch adds columns configuration to the DataTable which displays
Z39.50 search results in the cataloging module.

The Z39.50 results screen has its own server-side paging system, so I
added some code to copy the page number information ("Page 2 / 6") to
the DataTable toolbar for a more consistent appearance. The wording of
that information has also been modified for consistency's sake.

To test, apply the patch and restart Plack (or restart_all on
kohadevbox)

 - Go to Cataloging -> New from Z39.50/SRU.
 - Perform a Z39.50 search which will return multiple pages of results.
 - Confirm that the DataTable controls work correctly: Search, columns
   show/hide, export.
 - Confirm that the page number information is correct as you navigate
   through pages of results.

 - Go to Administration -> Columns settings.
 - Confirm that the columns configuration settings for the z3950_search
   table in the "Cataloging" section works correctly. Changes made here
   should be reflected in the table of Z39.50 search results.

 - Test other tables which use columns configuration to confirm that the
   changes made in this patch doesn't disrupt their behavior. Test that
   any custom columns configuration are applied. For example:

   - Administration -> Libraries
   - Reports -> Saved reports
   - Circulation -> Holds queue
Comment 3 ByWater Sandboxes 2019-07-30 14:25:15 UTC
Created attachment 91879 [details] [review]
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt

This patch adds columns configuration to the DataTable which displays
Z39.50 search results in the cataloging module.

The Z39.50 results screen has its own server-side paging system, so I
added some code to copy the page number information ("Page 2 / 6") to
the DataTable toolbar for a more consistent appearance. The wording of
that information has also been modified for consistency's sake.

To test, apply the patch and restart Plack (or restart_all on
kohadevbox)

 - Go to Cataloging -> New from Z39.50/SRU.
 - Perform a Z39.50 search which will return multiple pages of results.
 - Confirm that the DataTable controls work correctly: Search, columns
   show/hide, export.
 - Confirm that the page number information is correct as you navigate
   through pages of results.

 - Go to Administration -> Columns settings.
 - Confirm that the columns configuration settings for the z3950_search
   table in the "Cataloging" section works correctly. Changes made here
   should be reflected in the table of Z39.50 search results.

 - Test other tables which use columns configuration to confirm that the
   changes made in this patch doesn't disrupt their behavior. Test that
   any custom columns configuration are applied. For example:

   - Administration -> Libraries
   - Reports -> Saved reports
   - Circulation -> Holds queue

Signed-off-by: George Williams <george@nekls.org>
Comment 4 George Williams (NEKLS) 2019-07-30 14:33:01 UTC
I was able to follow the test plan without encountering any errors.

I'd add, though, that it would be nice if the "Actions" column could be dropped from the export (it's about 200 characters wide and there's no way to turn it off and it adds no value to the export) and if the "Additional fields" column could be included in options with the "Column settings" button if AdditionalFieldsInZ3950ResultSearch is configured.
Comment 5 Katrin Fischer 2019-08-08 14:46:56 UTC
Created attachment 92080 [details] [review]
Bug 23307: Add columns configuration to cataloguing/z3950_search.tt

This patch adds columns configuration to the DataTable which displays
Z39.50 search results in the cataloging module.

The Z39.50 results screen has its own server-side paging system, so I
added some code to copy the page number information ("Page 2 / 6") to
the DataTable toolbar for a more consistent appearance. The wording of
that information has also been modified for consistency's sake.

To test, apply the patch and restart Plack (or restart_all on
kohadevbox)

 - Go to Cataloging -> New from Z39.50/SRU.
 - Perform a Z39.50 search which will return multiple pages of results.
 - Confirm that the DataTable controls work correctly: Search, columns
   show/hide, export.
 - Confirm that the page number information is correct as you navigate
   through pages of results.

 - Go to Administration -> Columns settings.
 - Confirm that the columns configuration settings for the z3950_search
   table in the "Cataloging" section works correctly. Changes made here
   should be reflected in the table of Z39.50 search results.

 - Test other tables which use columns configuration to confirm that the
   changes made in this patch doesn't disrupt their behavior. Test that
   any custom columns configuration are applied. For example:

   - Administration -> Libraries
   - Reports -> Saved reports
   - Circulation -> Holds queue

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-08-08 15:09:19 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Martin Renvoize 2019-08-09 08:01:54 UTC
(In reply to George Williams (NEKLS) from comment #4)
> I was able to follow the test plan without encountering any errors.
> 
> I'd add, though, that it would be nice if the "Actions" column could be
> dropped from the export (it's about 200 characters wide and there's no way
> to turn it off and it adds no value to the export) and if the "Additional
> fields" column could be included in options with the "Column settings"
> button if AdditionalFieldsInZ3950ResultSearch is configured.

This looks like a distinct bug to me.. lets get that recorded.
Comment 8 Martin Renvoize 2019-08-09 08:07:18 UTC
Submitted as bug 23441
Comment 9 Fridolin SOMERS 2019-08-09 14:15:24 UTC
Enhancement not pushed to 19.05.x